=== blogilo/CMakeLists.txt ===
project(blogilo)
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

add_subdirectory( src )
add_subdirectory( icons )
add_subdirectory(kconf_update)
