=== doc/CMakeLists.txt ===
add_subdirectory(akregator)
add_subdirectory(blogilo)
add_subdirectory(konsolekalendar)
add_subdirectory(kalarm)
add_subdirectory(kleopatra)
add_subdirectory(kwatchgnupg)
add_subdirectory(kmail)
add_subdirectory(korganizer)
add_subdirectory(knotes)
add_subdirectory(kontact)
add_subdirectory(kontact-admin)
add_subdirectory(ktnef)
add_subdirectory(headerthemeeditor)
add_subdirectory(akonadi_archivemail_agent)
add_subdirectory(akonadi_sendlater_agent)
add_subdirectory(akonadi_notes_agent)
add_subdirectory(akonadi_followupreminder_agent)
add_subdirectory(importwizard)
add_subdirectory(pimsettingexporter)
add_subdirectory(sieveeditor)
add_subdirectory(contactthemeeditor)
