=== examples/CMakeLists.txt ===


add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

add_subdirectory(etm_usage)
add_subdirectory(kabc)
add_subdirectory(mailreader)
add_subdirectory(coisceim)
