=== debian/changelog ===
kdepim (4:15.12.3-0ubuntu1.1+esm1) xenial-security; urgency=medium

  * SECURITY UPDATE: exposure of plaintext of S/MIME encrypted emails
    - debian/patches/CVE-2017-17689-1.patch: Load external references in
    encrypted emails only on explicit request.
    - debian/patches/CVE-2017-17689-2.patch: Add functionality to distinguish 
    between settings and explicit override for loading external content.
    - debian/patches/CVE-2017-17689-3.patch: Distinguish between
    settings and explicit overrides for loading external content in kmail.
    - CVE-2017-17689
  * SECURITY UPDATE: exposure of plaintext of S/MIME or PGP encrypted emails
    - debian/patches/CVE-2019-10732.patch: Make unexpected data leak
    harder by decrypting only the toplevel MIME part on reply.
    - CVE-2019-10732
  * SECURITY UPDATE: exposure of local files via email attachment
    - debian/patches/CVE-2020-11880.patch: Show a warning when an
    attachment is added by a mailto link.
    - CVE-2020-11880
  * SECURITY UPDATE: use of insecure protocol when retrieving configurations
    - debian/patches/CVE-2024-50624.patch: Use HTTPS when retrieving
    configurations.
    - CVE-2024-50624

 -- Edwin Jiang <edwin.jiang@canonical.com>  Fri, 22 Aug 2025 19:22:41 +0000

kdepim (4:15.12.3-0ubuntu1.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Send Later with Delay bypasses OpenPGP (LP: #1698180):
    - fix-CVE-2017-9604.patch
    - CVE-2017-9604

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Mar 2018 07:38:25 -0500

kdepim (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Attempt to fix fuzz in kubuntu_debianize_akregator_feed 
  * Another attempt at de-fuzzing patch. 
  * Stop trying to fix and recreated kubuntu_debianize_akregator_default.diff 
  * I don't know what the ignore file is suppose to do, but it is not
    ingnoring. We are failing at the debian patch we do not want. Removing
    from series file. 
  * Add dh_fixperms for two executable desktop files. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:16:10 -0700

kdepim (4:15.12.1-1ubuntu6) xenial; urgency=medium

  * So that didn't actually prevent the tests from running, so remove the
    whole testsetup 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 12 Mar 2016 20:44:27 +0100

kdepim (4:15.12.1-1ubuntu5) xenial; urgency=medium

  * Disable Autopkgtests as the tests don't pass upstream either 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 12 Mar 2016 15:00:17 +0100

kdepim (4:15.12.1-1ubuntu4) xenial; urgency=medium

  * Add missing epoch ktnef build dep. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 19:20:30 -0800

kdepim (4:15.12.1-1ubuntu3) xenial; urgency=medium

  * Add missing epoch for kcontacts build deps. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 19:03:37 -0800

kdepim (4:15.12.1-1ubuntu2) xenial; urgency=medium

  * Fix epochs on build deps. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 15:40:37 -0800

kdepim (4:15.12.1-1ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: Remaining changes:
    Kept all breaks and replaces. 
  * Add missing files. Fix spelling error in control. 
  * Trigger rebuild, no changes. 

  [ Clive Johnston ]
  * Removing etc/xdg catchall in kmail.install
  * Adding two missing files to kmail.install 

  [ Scarlett Clark ]
  * Bump build dependencies version for pim*. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:38:55 +0100

kdepim (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:56 +0100

kdepim (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * New upstream release 

  [ Scarlett Clark ]
  * Add version requirement to kpimtextedit build dep. 
  * Add version requirements for akonadi* 

 -- Clive Johnston <clivejo@aol.com>  Sun, 03 Jan 2016 00:22:46 +0000

kdepim (4:15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).

  [ Sandro Knauß ]
  * Update description for kmail. (Closes: #623342)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:04 +0100

kdepim (4:15.08.2-1) experimental; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:58 +0200

kdepim (4:15.08.2-0ubuntu2) UNRELEASED; urgency=medium

  * Drop spambayes.patch, plugin moved to kdepim-addons
  * Update install files

 -- Rohan Garg <rohan@kde.org>  Mon, 14 Dec 2015 16:23:20 +0100

kdepim (4:15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).
  * Drop symbols files, please add them back if there is an ABI to maintain.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:22 +0200

kdepim (4:15.08.0-1) experimental; urgency=medium

  * New upstream release (15.08.0).
  * Update symbols files.
  * Add missing Breaks/Replaces.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 13 Sep 2015 22:06:59 +0200

kdepim (4:15.08.0-0ubuntu3) UNRELEASED; urgency=medium

  * Asterick cannot be used in not-installed. Fixing
    the mass list-missing errors. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Sep 2015 10:21:57 +0200

kdepim (4:4.14.10-2) unstable; urgency=medium

  * Team upload.
  * Add kdepim-mobileui-data Breaks/Replaces libmessageviewer4 (Closes:
    #788465)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 03 Sep 2015 11:05:40 -0400

kdepim (4:4.14.10-1) unstable; urgency=medium

  * New upstream release (4.14.6).
  * New upstream release (4.14.7).
  * New upstream release (4.14.8).
  * New upstream release (4.14.9).
  * New upstream release (4.14.10).
  * Refresh patches.
  * Add libsoprano-dev build dep.
  * Update install files.
  * New patch: workaround_boost_moc_ftbfs

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 17:05:10 +0200


