=== debian/rules ===
#!/usr/bin/make -f

KDEPIM_RUNTIME_VERSION = 4:15.08.2

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

# Strict local dependencies (there are no external ones anyway)
override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --ddeb-migration='kdepim-dbg (<= 4:15.12.1-1~~)'

override_dh_shlibdeps:
	$(overridden_command)
	set -e; \
	if [ -n "`ls debian/*.substvars 2>/dev/null`" ]; then \
	    echo "Tightening dependency on kdepim-runtime to (>= $(KDEPIM_RUNTIME_VERSION)"; \
	    sed -i '/^shlibs:[^=]\+=/{ s/\(^shlibs:[^=]\+=[[:space:]]*\|,[[:space:]]*\)\(kdepim-runtime\)\([[:space:]]*([[:space:]]*[><=]\+[^)]\+)\)\?/\1\2 (>= $(KDEPIM_RUNTIME_VERSION))/g }' debian/*.substvars; \
	fi

override_dh_fixperms:
	$(overridden_command) -Xetc/xdg/autostart/kalarm.autostart.desktop
	$(overridden_command) -Xetc/xdg/autostart/org.kde.korgac.desktop
